Bug 166327 - uhci_hcd Oops on boot
uhci_hcd Oops on boot
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-08-19 05:17 EDT by Russell Coker
Modified: 2015-01-04 17:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-04 21:27:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2005-08-19 05:17:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.2 (like Gecko)

Description of problem:
On boot the kernel panics when the USB driver is loaded.  It happens 
repeatedly.  The machine is an IBM NetVista P3-1G desktop machine with no 
known hardware problems which has recently passed an extensive memtest86 scan. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
boot machine 

Actual Results:  Kernel oops reported, but machine keeps running. 

Expected Results:  No Oops. 

Additional info:
Comment 1 Russell Coker 2005-08-19 05:23:09 EDT
It seems that I was too hasty with this bug report.  
allow insmod_t debugfs_t:dir search;  
Adding the above to the policy fixed the bug.  I suggest that we add the 
following to avoid future problems: 
r_dir_file(insmod_t, debugfs_t) 
Comment 2 Pete Zaitcev 2005-08-19 18:20:58 EDT
No, wait, I want to see the oops. The uhci-hcd should recover gracefuly
if debugfs is not available. It's completely legal.

As for policy, it's a regression. I remember we fixed policy for debugfs
in FC4, when DaveJ enabled usbmon on my request.
Comment 3 Daniel Walsh 2005-08-25 15:38:56 EDT
Fixed in selinux-policy-*1.25.4-10
Kernel needs to be fixed.
Comment 4 Pete Zaitcev 2005-08-25 16:00:20 EDT
Very good. Russell, I need that oops.
Comment 5 Dave Jones 2005-09-30 03:11:32 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel ( As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Comment 6 Dave Jones 2005-11-10 15:18:52 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 7 Dave Jones 2006-02-03 01:08:21 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 8 John Thacker 2006-05-04 21:27:36 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.